﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Charting;

namespace AJAX_710081_GroupingBarChart
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            ChartSeries series1 = new ChartSeries("Company 1");
            series1.Type = ChartSeriesType.Bar;
            series1.DataXColumn = "Time";
            series1.DataYColumn = "Value";
            series1.DataLabelsColumn = "Company";
            series1.Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
            series1.Appearance.FillStyle.MainColor = Color.Red;
            RadChart1.Series.Add(series1);

            ChartSeries series2 = new ChartSeries("Company 2");
            series2.Type = ChartSeriesType.Bar;
            series2.DataXColumn = "Time";
            series2.DataYColumn = "Value";
            series2.DataLabelsColumn = "Company";
            series2.Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
            series2.Appearance.FillStyle.MainColor = Color.Green;
            RadChart1.Series.Add(series2);

            ChartSeries series3 = new ChartSeries("Company 3");
            series3.Type = ChartSeriesType.Bar;
            series3.DataXColumn = "Time";
            series3.DataYColumn = "Value";
            series3.DataLabelsColumn = "Company";
            series3.Appearance.FillStyle.FillType = Telerik.Charting.Styles.FillType.Solid;
            series3.Appearance.FillStyle.MainColor = Color.Blue;
            RadChart1.Series.Add(series3);

            var now = new DateTime(2010, 1, 1);
            List<Item> items = new List<Item>();
            Random r = new Random();


            items.Add(new Item() { Date = now.AddMonths(0), Value = 1, Company = "Company 1" });
            items.Add(new Item() { Date = now.AddMonths(0), Value = 2, Company = "Company 2" });
            items.Add(new Item() { Date = now.AddMonths(0), Value = 3, Company = "Company 3" });

            items.Add(new Item() { Date = now.AddMonths(1), Value = 4, Company = "Company 1" });
            items.Add(new Item() { Date = now.AddMonths(1), Value = 5, Company = "Company 2" });
            items.Add(new Item() { Date = now.AddMonths(1), Value = 6, Company = "Company 3" });

            items.Add(new Item() { Date = now.AddMonths(2), Value = 7, Company = "Company 1" });
            items.Add(new Item() { Date = now.AddMonths(2), Value = 8, Company = "Company 2" });
            items.Add(new Item() { Date = now.AddMonths(2), Value = 9, Company = "Company 3" });

            RadChart1.PlotArea.XAxis.Appearance.ValueFormat = Telerik.Charting.Styles.ChartValueFormat.ShortDate;
            RadChart1.PlotArea.XAxis.LabelStep = 3;
            RadChart1.PlotArea.XAxis.IsZeroBased = false;

            RadChart1.PlotArea.YAxis.AutoScale = false;
            RadChart1.PlotArea.YAxis.MinValue = 0;
            RadChart1.PlotArea.YAxis.MaxValue = 10;

            RadChart1.DataGroupColumn = "Company";
            RadChart1.DataSource = items;
            RadChart1.DataBind();
        }
    }

    public class Item
    {
        public DateTime Date { get; set; }
        public int Value { get; set; }
        public double Time
        {
            get
            {
                return this.Date.ToOADate();
            }
        }
        public string Company { get; set; }
    }
}